曝光linux企业运维实战_曝光:linux企业运维实战 - CSDN
精华内容
参与话题
  • Linux企业运维实战

    千次阅读 2019-05-14 11:36:00
    Linux是什么? Linux是一套免费使用和自由传播的类Unix的的操作系统,是一个基于POSIX和UNIX的多用户,多任务,支持多线程和多CPU的操作系统。它能运行主要的UNIX工具软件,应用程序和网络协议。它支持32位和64位...

    Linux是什么?

    Linux是一套免费使用和自由传播的类Unix的的操作系统,是一个基于POSIX和UNIX的多用户,多任务,支持多线程和多CPU的操作系统。它能运行主要的UNIX工具软件,应用程序和网络协议。它支持32位和64位硬件.Linux继承了Unix的以网络为核心的设计思想,是一个性能稳定的多用户网络操作系统。

    Linux操作系统诞生于1991年10月5日(这是第一次正式向外公布时间).Linux存在着许多不同的Linux的的版本,但它们都使用了的Linux的内核.Linux可安装在各种计算机硬件设备中,比如手机,平板电脑,路由器,视频游戏控制台,台式计算机,大型机和超级计算机。

    严格来讲,Linux的的这个词本身只表示Linux的的内核,但实际上人们已经习惯了用Linux的的来形容整个基于Linux的的内核,并且使用GNU工程各种工具和数据库的操作系统。

    教学课程:

    Linux企业运维实战(1):入门及常用命令

    Linux企业运维实战(2):Shell、正则表达式、Vim、MySQL

    Linux企业运维实战(3):Linux网络与自动化运维

    Linux企业运维实战(4):LVS与Nginx

    (课程是从入门开始的Linux的学习课程,适合初学者阅读。由浅入深案例丰富,通俗易懂。主要涉及基础的系统操作以及工作中常用的各种服务软件的应用,部署和优化即使是。零基础的学员,只要能够坚持把所有章节都学完,也一定会受益匪浅,零基础学员推荐观看)

    Linux的主要特性

    基本思想

    Linux的基本思想有两点:第一,一切都是文件;第二,每个软件都有确定的用途其中第一条详细来讲就是系统中的所有都归结为一个文件,包括命令,硬件和软件设备,操作系统,进程等等对于操作系统内核而言,都被视为拥有各自特性或类型的文件。至于说的的Linux是基于Unix的的的,很大程度上也是因为这两者的基本思想十分相近。

    完全免费

    Linux是一款免费的操作系统,用户可以通过网络或其他途径免费获得,并可以任意修改其源代码。这是其他的操作系统所做不到的。正是由于这一点,来自全世界的无数程序员参与了Linux的的的修改,编写工作,程序员可以根据自己的兴趣和灵感对其进行改变,这让Linux的的吸收了无数程序员的精华,不断壮大。

    完全兼容POSIX1.0标准

    这使得可以在Linux的的下通过相应的模拟器运行常见的DOS的视窗的程序。这为用户从窗转  的Linux的奠定了基础。许多用户在考虑使用的的Linux时,就想到以前在的的Windows下常见的程序是否能正常运行,这一点就消除了他们的疑虑。

    多用户,多任务

    Linux支持多用户,各个用户对于自己的文件设备有自己特殊的权利,保证了各用户之间互不影响。多任务则是现在电脑最主要的一个特点,Linux的的可以使多个程序同时并独立地运行。

    良好的界面

    Linux同时具有字符界面和图形界面。在字符界面用户可以通过键盘输入相应的指令来进行操作。它同时也提供了类似的的Windows图形界面的X-Window的的系统,用户可以使用鼠标对其进行操作。在X-Window的的环境中就和在视窗中相似,可以说是一个Linux的的版的视窗操作系统。 

    支持多种平台

    Linux可以运行在多种硬件平台上,如具有x86,680x0,SPARC,阿尔法等处理器的平台。此外的Linux还是一种嵌入式操作系统,可以运行在掌上电脑,机顶盒或游戏机上。2001年1月份发布的Linux 2.4版内核已经能够完全支持Intel 64位芯片架构。同时Linux也支持多处理器技术。多个处理器同时工作,使系统性能大大提高。

     

    展开全文
  • 在server2主机中打开httpd服务 server3中编译nignx make &&make installl 修改nginx配置文件 user nginx nginx 修改配置页面 启动nginx ...Active connections:1#表示正在处理的...

    在server2主机中打开httpd服务

    server3中编译nignx

    make &&make installl

    修改nginx配置文件

    user nginx nginx

    修改配置页面

    启动nginx

    [root@server3~]#curl http://127.0.0.1/status
    Active connections:1#表示正在处理的活动连接数有多少个
    server accepts handled requests
    121212
    Reading:0 Writing:1 Waiting:0
    #server:表示nginx启动到现在共处理了多少个连接
    #accepts:表示nginx启动到现在共成功创建了多少次握手(备注:请求丢失数=握手数-连接数)

    #handled requests:表示总共处理了多少次请求
    #Reading:为nginx读取到客户端的Header信息数

    #Writing:为nginx返回给客户端的Header信息数
    #Waiting为nginx已经处理完正在等待下一次请求指令的驻留连接,在开启keep-alive的情况下

    获取活跃连接数

    进入zabbix_agentd.d目录中

    在server4中安装一个zabbix-get的软件获取active的次数

    然后去填写zabbix参数

    把图形和监控项添加上去

    解决中文字显示问题

    启动zabbix服务测试能否获取到数据值

    然后创建nginx-accept监控项

    然后添加图形

     

     

     

     

     

    展开全文
  • 本书系统地论述了Linux 运维领域的各种技术,主要内容包括最新版Linux系统安装的完整过程、系统启动原理、系统必备的命令、系统管理、初学者必备软件管理、基础服务实战、生产环境LAMP、Redis实战及备份、性能优化、...

    本书系统地论述了Linux 运维领域的各种技术,主要内容包括最新版Linux系统安装的完整过程、系统启动原理、系统必备的命令、系统管理、初学者必备软件管理、基础服务实战、生产环境LAMP、Redis实战及备份、性能优化、Zabbix企业级分布式监控、Nginx高性能Web服务器实战及Nginx相关location,rewrite规则、日志分析实战、Nginx性能调优、自动化运维技术实战、shell编程入门、shell编程企业实战案例剖析、shell编程企业案例详解、Puppet.Ansible案例深入剖析、企业高性能负载均衡技术LVS,keepalived高可用集群满足千万PV门户网站架构、Haproxy高性能负载均衡、构建企业级自动化部署平台Jenkins、CI/CD自动部署及交付、Docker虚拟化企业实战、Docker镜像、容器、DokerFile、Docker生产环境一键脚本配置、DockerPipework网络实战、Openstack私有云.Openstack企业实战、构建企业Openstack私有云.Openstack常见问题排错等核心内容。

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    由于篇幅限制小编,pdf文档的详解资料太全面,细节内容实在太多啦,所以只把部分知识点截图出来粗略的介绍,每个小节点里面都有更细化的内容!有需要的程序猿(媛)可以帮忙转发+关注,后台私信【学习】即可

    第一篇 Linux基础篇

    第1章Linux快速入门

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第2章Linux发展及系统安装

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第3章CentOS系统管理

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第4章Linux必备命令

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第5章Linux用户及权限管理

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第6章Linux软件包企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第7章Linux磁盘管理

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第8章Linux文件服务器企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    由于篇幅过多,不影响您的阅读,私信回复关键字 “学习” 即可获得这份《曝光Linux企业运维实战》电子版

    第二篇Linux进阶篇

    第9章HTTP协议详解

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第10章Apache Web服务器企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第11章MySQL服务器企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第12章LAMP企业架构实战

    çè¿ä»½é¿éP8大çç¼åçæåLinuxä¼ä¸è¿ç»´å®æï¼çº¯å¹²è´§PDF

    çè¿ä»½é¿éP8大çç¼åçæåLinuxä¼ä¸è¿ç»´å®æï¼çº¯å¹²è´§PDF

    第13章Zabbix分布式监控企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第14章Nginx Web服务器企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    由于篇幅过多,不影响您的阅读,私信回复关键字 “学习” 即可获得这份《曝光Linux企业运维实战》电子版

    第三篇Linux高级篇

    第15章Linux性能优化企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第16章大数据备份企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第17章shell企业编程基础

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第18章shell编程高级企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第19章自动化运维发展前景

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第20章Puppet自动运维企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第21章Ansible自动运维企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第22章Jenkins持续集成企业实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第23章Linux高可用集群实战

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第24章实战Docker虚拟化技术

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    第25章Openstack + KVM构建企业私有云

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    由于篇幅限制小编,pdf文档的详解资料太全面,细节内容实在太多啦,所以只把部分知识点截图出来粗略的介绍,每个小节点里面都有更细化的内容!有需要的程序猿(媛)可以帮忙转发+关注,后台私信【学习】即可

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

     

    看这份阿里P8大牛编写的曝光Linux企业运维实战,纯干货PDF

    展开全文
  • 曝光Linux企业运维实战_吴光科(著)
  • 一 shell 条件测试 一。格式: 格式1:test 条件表达式 格式2; 【条件表达式】 格式3: 【【条件表达式】】 二。文件测试【操作符 文件或录】 1.示例: -d:这是一个目录 [root@localhost ~]# test -d /home ...

    一 shell 条件测试

    一。格式:
    格式1:test 条件表达式
    格式2; 【条件表达式】
    格式3: 【【条件表达式】】

    二。文件测试【操作符 文件或录】
    1.示例:
    -d:这是一个目录
    [root@localhost ~]# test -d /home
    [root@localhost ~]# echo $?
    0
    [root@localhost ~]# test -d /home11111
    [root@localhost ~]# echo $?
    1
    [root@localhost ~]# [ -d /home ]

    注意中括号里的两个空格

    2.操作符种类:
    -f filename : 当filename 存在时返回真
    -b filename : 当filename 存在并且是块文件时返回真(返回0)
    -d pathname : 当pathname 存在并且是一个目录时返回真
    -h filename : 当filename 存在并且是符号链接文件时返回真 (或 -L filename)
    -u pathname : 当由pathname 指定的文件或目录存在并且设置了SUID 位时返回真

    -c filename : 当filename 存在并且是字符文件时返回真
    -e pathname : 当由pathname 指定的文件或目录存在时返回真
    -g pathname : 当由pathname 指定的文件或目录存在并且设置了SGID 位时返回真
    -k pathname : 当由pathname 指定的文件或目录存在并且设置了"粘滞"位时返回真
    -p filename : 当filename 存在并且是命名管道时返回真
    -r pathname : 当由pathname 指定的文件或目录存在并且可读时返回真
    -s filename : 当filename 存在并且文件大小大于0 时返回真
    -S filename : 当filename 存在并且是socket 时返回真
    -t fd : 当fd 是与终端设备相关联的文件描述符时返回真
    -w pathname : 当由pathname 指定的文件或目录存在并且可写时返回真
    -x pathname : 当由pathname 指定的文件或目录存在并且可执行时返回真
    -O pathname : 当由pathname 存在并且被当前进程的有效用户id 的用户拥有时返回真(字母O 大写)
    -G pathname : 当由pathname 存在并且属于当前进程的有效用户id 的用户的用户组时返回真
    file1 -nt file2 : file1 比file2 新时返回真
    file1 -ot file2 : file1 比file2 旧时返回真

    三。数值比较【整数1 操作符 整数2】:
    1.操作符:
    [ 1 -gt 10 ] 大于
    [ 1 -lt 10 ] 小于
    [ 1 -eq 10 ] 等于
    [ 1 -ne 10 ] 不等于
    [ 1 -ge 10 ] 大于等于
    [ 1 -le 10 ] 小于等于

    2.示例:
    num=$(id -u)
    if [ $num -eq 0 ]
    then
    echo “administrator”
    else
    echo “user”
    fi

    3.c语言风格:
    [root@localhost ~]# ((1<2));echo $?
    0
    [root@localhost ~]# ((12));echo $?
    1
    [root@localhost ~]# ((1>2));echo $?
    1
    [root@localhost ~]# ((1>=2));echo $?
    1
    [root@localhost ~]# ((1<=2));echo $?
    0
    [root@localhost ~]# ((1!=2));echo $?
    0
    [root@localhost ~]# ((id -u>0));echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ ((UID
    0));echo $?
    0
    在这里插入图片描述
    四。字符串比较【”字符串“=”字符串“】

    1. =,==,等于:
      猜测你的用户名是root
      [root@localhost ~]# [ “$USER” = “root” ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ "USER" == “root” ];echo KaTeX parse error: Expected 'EOF', got '#' at position 33: …ot@localhost ~]#̲ [ "USER" = “root” ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ "USER" = “alice” ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ "USER" != “alice” ];echo $?
      0
      3.-z:判断字符长度是为0 ,-n判断字符长度不是为0
      双引号的重要性,解决一元表达式的问题
      [root@localhost ~]# BBB=""
      [root@localhost ~]# echo KaTeX parse error: Expected '}', got '#' at position 2: {#̲BBB} 0 [root@lo…BBB" ] 字符长度是为0
      [root@localhost ~]# echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ -n "BBB" ] 字符长度不为0
      [root@localhost ~]# echo $?
      1

    双引号的重要性
    定义三个变量,一个有值,一个妹纸,一个没有定义。
    [root@localhost ~]# var1=111
    [root@localhost ~]# var2=
    //var3变量没有定义

    -z:判断长度是0
    [root@localhost ~]# [ -z “$var1” ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ -z "var2" ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ -z "var3" ];echo KaTeX parse error: Expected 'EOF', got '#' at position 34: …ot@localhost ~]#̲ [ -n "var1" ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ -n "var2" ];echo KaTeX parse error: Expected 'EOF', got '#' at position 23: …ot@localhost ~]#̲ [ -n "var3" ];echo $?
    1
    小结;变量为空或未定义:长度都为0

    五。and和or:
    逻辑的(and)与(or)

    && 逻辑的 AND 的意思, -a 也是这个意思,两个条件同时成立,为真。

    || 逻辑的 OR 的意思, -o 也是这个意思,两个条件一个成立,为真。

    示例:
    猜测用户输入的成绩是否优秀(61-79之间
    [root@localhost ~]# num=59;[ $num -gt 60 -a $num -lt 80 ];echo $?
    1
    [root@localhost ~]# num=81;[ $num -gt 60 -a $num -lt 80 ];echo $?
    1
    [root@localhost ~]# num=60;[ $num -gt 60 -a $num -lt 80 ];echo $?
    1
    [root@localhost ~]# num=61;[ $num -gt 60 -a $num -lt 80 ];echo $?
    0
    多种表达方式(了解):

    [root@localhost ~]# [ 1 -lt 2 -a 5 -gt 10 ];echo $?
    1
    [root@localhost ~]# [ 1 -lt 2 -o 5 -gt 10 ];echo $?
    0
    注意:&&调用正则时,请使用双中括号。
    [root@localhost ~]# [[ 1 -lt 2 && 5 -gt 10 ]];echo $?
    1
    [root@localhost ~]# [[ 1 -lt 2 || 5 -gt 10 ]];echo $?
    0

    或者
    [root@localhost ~]# [ 1 -lt 2 ] && [ 11 -gt 10 ];echo $?
    0

    二流程控制:if

    一,单分支结构:
    语法:
    单分支结构
    if条件测试
    then命令序列
    fi
    示例:
    需求
    编写脚本,由用户输入用户名,如果用户不存在,则创建该用户,并设置密码为123456
    演示1:
    #!/bin/bash

    read -p "Input username: " name

    id $name &> /dev/null

    if [ $? -ne 0 ]; then
    useradd $name
    echo “123456” | passwd --stdin KaTeX parse error: Expected 'EOF', got '&' at position 6: name &̲> /dev/null ec…name create finished,the password is 123456"
    fi
    演示2:
    #!/bin/bash

    read -p "Input username: " name

    if ! id $name &> /dev/null; then
    useradd $name
    echo “123456” | passwd --stdin KaTeX parse error: Expected 'EOF', got '&' at position 6: name &̲> /dev/null ec…name create finished,the password is 123456"
    fi

    二,双分支结构:
    1.语法:
    if 条件测试
    then
    命令序列
    else
    命令序列
    fi
    2.示例1:
    需求:
    编写脚本,由用户输入用户名,
    如果用户不存在,则创建该用户,并设置密码为123456;
    否则,提示用户已经存在
    演示:
    #!/bin/bash

    read -p "Input username: " name

    #id $name &> /dev/null
    #if [ $? -ne 0 ] ;then

    if ! id $name &> /dev/null; then

    useradd $name
    echo "123456" | passwd --stdin $name &> /dev/null
    echo "$name create finished,the password is 123456"
    

    else
    echo “$name already exist”
    fi

    3.示例2:
    需求:
    编写脚本,由用户输入用户名,判断该用户的uid及gid,如果相同,则显示Good user;
    否则显示Bad user.
    演示:
    #!/bin/bash

    read -p "Input username: " name

    user_id=id -u $name
    group_id=id -g $name

    if [ $user_id -eq $group_id ];then
    echo “Good user.”
    else
    echo “Bad user.”
    fi

    三,多分支结构:
    语法:
    多分支结构
    if 条件测试1
    then 命令序列

    elif 条件测试2
    then 命令序列

    elif 条件测试3
    then 命令序列…

    else 命令序列
    fi

    示例:
    需求:
    编写脚本,取出系统时间的小时,对数字进行判断
    6–10 this is morning
    11-13 this is noon
    14-18 this is afternoon
    其他 this is night
    演示:
    #!/bin/bash

    hour=date +%H

    if [ $hour -ge 6 -a $hour -le 10 ];then
    echo “This is morning”
    elif [ $hour -ge 11 -a $hour -le 13 ];then
    echo “This is noon”
    elif [ $hour -ge 14 -a $hour -le 18 ];then
    echo “This is afternoon”
    else
    echo “This is night”
    fi

    四,嵌套结构:
    语法:
    嵌套结构
    if 条件测试1 then 命令序列
    if 条件测试1 then 命令序列

    else 命令序列
    fi
    

    else 命令序列
    fi

    需求:
    在这里插入图片描述
    演示:
    read -p "Input username: " name
    id $name &> /dev/null

    if [ ?eq0];thenecho"? -eq 0 ];then echo "name 存在"

    else
    useradd nameecho"name echo "name create finished"

    echo “123456” | passwd --stdin $name &> /dev/null

        read -p "请输入用户密码: "  pass
                if [ ${#pass}  -ge  7  ];then
                echo "$pass" | passwd --stdin $name
                echo "$name 用户密码是 $pass"
                else
                echo "密码不合格" 
                fi
    

    fi

    三 模式匹配:case

    语法结构:
    一、case 语法结构(字符串比较)
    case 变量 in
    模式1)
    命令序列1
    ;;
    模式2)
    命令序列2
    ;;
    模式3)
    命令序列3
    ;;
    *)
    无匹配后命令序列
    esac

    案例1:简单的模式匹配:
    案例1:简单的模式匹配
    邀请用户输入待删除用户名。
    询问用户,确定要继续删除吗 yes/no: " y

    if写法:
    #!/bin/bash
    #name
    #time
    #1请输入删除的用户名:
    read -p “please input a username : " user
    #2输出用户ID
    id $user &> /dev/null
    #4判断用户是否存在
    if [ $? -ne 0 ];then
    echo “no such user: KaTeX parse error: Expected 'EOF', got '#' at position 25: … exit 1 fi #̲3请用户确认是否删除 read…action” = “y” -o “$action” = “Y” ] ;then
    userdel -r userecho"user echo "user is deleted!”
    else
    echo “thank you”
    fi

    case写法:

    #!/bin/bash
    #name
    #time
    #1请输入删除的用户名:
    read -p "please input a username : " user
    #2输出用户ID
    id $user &> /dev/null
    #4判断用户是否存在
    if [ $? -ne 0 ];then
    echo “no such user: KaTeX parse error: Expected 'EOF', got '#' at position 25: … exit 1 fi #̲3请用户确认是否删除 read…action” = “y” -o “$action” = “Y” ] ;then

    userdel -r $user

    echo “$user is deleted!”

    #else

    echo “thank you”

    #fi

    #5case写法
    case “$action” in
    Y|y|YES|yes)
    userdel -r userecho"user echo "user is deleted!"
    ;;
    *)
    echo “thank you”
    ;;
    esac

    二,案例2:i简单的jumpserver

    跳板主机
    1)mysql1
    2)mysql2
    3)bj-web1
    h) help
    q) exit

    请选择要连接的主机[1-3]: 1

    Last login: Sun Sep 6 04:18:01 2015 from 192.168.122.1
    [yang@yang1 ~]$ ip a show eth0
    2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:ea:e7:d1 brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.186/24 brd 192.168.122.255 scope global eth0
    inet6 fe80::5054:ff:feea:e7d1/64 scope link
    valid_lft forever preferred_lft forever

    三,案例3,系统管理工具箱:

    Command action
    h 显示命令帮助
    f 显示磁盘分区
    d 显示磁盘挂载
    m 查看内存使用
    u 查看系统负载
    q 退出程序

    Command (h for help): m
    total used free shared buffers cached
    Mem: 7628 840 6788 0 29 378
    Swap: 2047 0 2047

    演示:定义脚本:
    1 输出菜单并测试。
    vim systemmanage.sh
    #!/usr/bin/bash
    #打印菜单
    cat <<-EOF
    h. help
    f. disk partation
    d. filesystem mount
    m. memory
    u. system load
    q.exit
    EOF

    读取用户输入,进行模式匹配

    read -p "please input [h for help]: " action
    case “$action” in

    f)
    fdisk -l
    ;;
    d)
    df -hT
    ;;
    m)
    free -m
    ;;
    u)
    uptime
    ;;
    q)
    exit
    ;;
    “”)
    ;;
    *)
    echo “error”
    ;;
    esac

    展开全文
  • 链接:https://pan.baidu.com/s/13tXIliU2pQau63VpccCTGA 密码:x1gs本书为完整版,以下为内容截图:
  • Linux 企业实战

    2018-02-09 11:53:15
    Linux 企业实战篇讲师介绍: 董松,运维工程师/系统管理员/网络管理员,拥有9年多的Linux运维工作经验,历任运维研发工程师、高级运维工程师、运维经理、运维架构师职务,经历过网站开发、游戏、服务和教育行业,...
  • web安全书籍整理

    千次阅读 2016-11-11 22:28:25
    基础书籍 《信息安全标准和法律法规(第二版)》(注:武汉大学出版社) 《HTTP权威指南》 ... 《JavaScript权威指南(第6版)》 《TCP/IP详解卷1:协议》 ...《SQL编程基础(原书第3版)》 ...《精通正则表达式 (第
  • CentOS 7.8 (2003) 发布,附下载地址

    千次阅读 2020-05-02 00:08:04
    「点击图片获取最近两年爆款好文」CentOS 7.8 已发布。众所周知,CentOS 由 Red Hat Enterprise Linux 的源代码重新编译而成,因此 CentOS ...
  • 2018年1月2日,英特尔曝出的CPU设计漏洞事件:详解 Intel 漏洞怎么拿到内核数据的(附视频演示)事件一经曝光,就迅速引起业内硬件同行、操作系统厂商、云供应商的迅速反应。如果不能从硬件层面修复该漏洞,那么将...
  • 这份《曝光linux企业运维实战》系统地论述了Linux运维领域的各种技术主要内容包括 *版Linux系统安装的完整过程、系统启动原理、系统必备的命令、系统管理、初学者必备软件管理、基础服务实战、生产环境LAMP、Redis...
  • 「点击图片获取最近两年爆款好文」4月中旬,有媒体报道称,百度网盘破解版Pandownload开发者蔡某于4月份被抓获,该软件开发者共非法获利30万余元。报道称,该软件可以以非会员权限...
  • 2017年已过去一半,在此小编为大家精心整理了2017上半年热点事件解析、实战技术资料以及特别策划短视频系列,希望可以帮助大家更深入地回顾上半年的技术热点,并储备更充足的技术干粮继续2017的下一半。 我有几...
  • 【原创】PHP程序员进阶学习书籍参考指南

    万次阅读 多人点赞 2016-02-18 16:22:57
    PHP程序员进阶学习书籍参考指南
  • IT书籍链接

    万次阅读 2018-09-14 15:01:40
    《30天App开发从0到1 APICloud移动开发实战》_邹达、李德兴  链接: https://pan.baidu.com/s/1enPsfF6ESEmGo1trPUQ6Mw 密码: iw4v  《Android组件化架构》_苍王  链接: ...
  • 最近还在找工作吗?我们又来放送招聘信息啦!快来看看吧~
  • 老男孩11月30日运维职业规划与python运维公开课录像... 公开课内容 适用人群:想从事linux运维及python运维开发的人员 企业网管、技术支持、linux运维人员、大中专学生听课时间:2014年11月...
1 2 3 4 5 ... 12
收藏数 222
精华内容 88
关键字:

曝光linux企业运维实战